<?php

declare(strict_types=1);

namespace Dedi\SyliusImportExportPlugin;

use Dedi\SyliusImportExportPlugin\DependencyInjection\Compiler\RegisterExporterPass;
use Sylius\Bundle\CoreBundle\Application\SyliusPluginTrait;
use Symfony\Component\DependencyInjection\Compiler\PassConfig;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\HttpKernel\Bundle\Bundle;

final class DediSyliusImportExportPlugin extends Bundle
{
    use SyliusPluginTrait;

    /**
     * @inheritdoc
     */
    public function build(ContainerBuilder $container): void
    {
        parent::build($container);
        // override friendsofsylius RegisterExporterPass to prevent error with sf6
        $container->addCompilerPass(new RegisterExporterPass(), PassConfig::TYPE_BEFORE_OPTIMIZATION, -10);
    }
}
